API Reference

Query FX Rate

<This endpoint allows end users query foreign exchange rate>

POST /query/v2/getForeignExchangeRate

Request params

"params": {
   "currencyPair": //String, Mandatory, Currency pairs
    //Support the following values:
    // "USD/KES"
    // "EUR/KES"
    // "GBP/KES"
    // "KES/TZS"
    // "KES/UGX"
    // "KES/RWF"
    // "GBP/USD"
    // "EUR/GBP"
    // "EUR/USD"
    // "USD/CNY"
    // The above stands for BaseCurrency/QuoteCurrency
}

Initiate an FX Request

This allows customers to do Foreign Exchanges, enabling foreign currency to KES, KES to foreign currency and foreign currency to foreign currency.

POST /trans/v2/applyForFcExchange

Field
Type
Description
Is Required

sourceCurrency

string

The currency that customers want to transfer from

Mandatory

targetCurrency

string

The currency that customers want to transfer to

Mandatory

sourceAccount

string

The account that customers want to transfer from

Mandatory

targetAccount

string

The account that customers want to transfer to

Mandatory

sourceAmount

decimal

The amount of money in sourceCurrency that customers want to transfer to another currency. Either sourceAmount or targetAmount is Mandatory.

Conditional

targetAmount

decimal

The amount of money in targetCurrency that customers want to receive after foreign exchange. Either sourceAmount or targetAmount is Mandatory.

Conditional

Response

Response Data

Query FX Request Status

Use this endpoint to query the status of the FX request.

POST /query/v2/getFxRequestStatus

Request params

Field
Type
Description
Required?

applicationId

string

Unique ID for the FX request

Mandatory

Response Data

0026 - Foreign Exchange Notification

Last updated